<?php
require_once(getabspath("classes/cipherer.php"));



$tdatakardex = array();
$tdatakardex[".ShortName"] = "kardex";

$tdatakardex[".pagesByType"] = my_json_decode( "{\"dashboard\":[\"dashboard\"]}" );
$tdatakardex[".originalPagesByType"] = $tdatakardex[".pagesByType"];
$tdatakardex[".pages"] = types2pages( my_json_decode( "{\"dashboard\":[\"dashboard\"]}" ) );
$tdatakardex[".originalPages"] = $tdatakardex[".pages"];
$tdatakardex[".defaultPages"] = my_json_decode( "{\"dashboard\":\"dashboard\"}" );
$tdatakardex[".originalDefaultPages"] = $tdatakardex[".defaultPages"];


//	field labels
$fieldLabelskardex = array();
$pageTitleskardex = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelskardex["Spanish"] = array();
	$fieldLabelskardex["Spanish"]["socio_id_Socio"] = "Id Accionista";
	$fieldLabelskardex["Spanish"]["socio_ci"] = "Numero C.I.";
	$fieldLabelskardex["Spanish"]["socio_ci_complemento"] = "Complemento";
	$fieldLabelskardex["Spanish"]["socio_ci_procedencia"] = "Procedencia";
	$fieldLabelskardex["Spanish"]["socio_nombres"] = "Nombres";
	$fieldLabelskardex["Spanish"]["socio_apellido_Paterno"] = "Apellido Paterno";
	$fieldLabelskardex["Spanish"]["socio_apellido_Materno"] = "Apellido Materno";
	$fieldLabelskardex["Spanish"]["socio_fecha_Nacimiento"] = "Fecha";
	$fieldLabelskardex["Spanish"]["socio_lugar_Nacimiento"] = "Lugar";
	$fieldLabelskardex["Spanish"]["socio_depto_Nacimiento"] = "Departamento";
	$fieldLabelskardex["Spanish"]["socio_direccion"] = "Direccion";
	$fieldLabelskardex["Spanish"]["socio_profesion"] = "Ocupacion/Profesion";
	$fieldLabelskardex["Spanish"]["socio_telefono"] = "Telefono";
	$fieldLabelskardex["Spanish"]["socio_celular"] = "Celular";
	$fieldLabelskardex["Spanish"]["socio_foto_actual"] = "Foto Actual";
	$fieldLabelskardex["Spanish"]["socio_foto_Ci"] = "PDF CI";
	$fieldLabelskardex["Spanish"]["socio_estado"] = "Estado";
	$fieldLabelskardex["Spanish"]["socio_tipo_Doc"] = "Tipo Documento";
	$fieldLabelskardex["Spanish"]["socio_pais_Nacimiento"] = "Pais";
	$fieldLabelskardex["Spanish"]["socio_sexo"] = "Sexo";
	$fieldLabelskardex["Spanish"]["socio_estado_Civil"] = "Estado Civil";
	$fieldLabelskardex["Spanish"]["socio_apellido_Casada"] = "Apellido Casada";
	$fieldLabelskardex["Spanish"]["socio_tipo_accionista"] = "Tipo Accionista";
	$fieldLabelskardex["Spanish"]["socio_id_dp"] = "Derecho Propietario";
	$fieldLabelskardex["Spanish"]["socio_id_gestion"] = "Id Gestion";
	$fieldLabelskardex["Spanish"]["socio_id_constitucion"] = "Id Constitucion";
	$fieldLabelskardex["Spanish"]["socio_accionista"] = "Accionista";
}

/*
//	search fields
$tdatakardex[".searchFields"] = array();
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"id_Socio" );
$tdatakardex[".searchFields"]["socio_id_Socio"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"ci" );
$tdatakardex[".searchFields"]["socio_ci"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"ci_complemento" );
$tdatakardex[".searchFields"]["socio_ci_complemento"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"ci_procedencia" );
$tdatakardex[".searchFields"]["socio_ci_procedencia"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"nombres" );
$tdatakardex[".searchFields"]["socio_nombres"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"apellido_Paterno" );
$tdatakardex[".searchFields"]["socio_apellido_Paterno"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"apellido_Materno" );
$tdatakardex[".searchFields"]["socio_apellido_Materno"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"fecha_Nacimiento" );
$tdatakardex[".searchFields"]["socio_fecha_Nacimiento"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"lugar_Nacimiento" );
$tdatakardex[".searchFields"]["socio_lugar_Nacimiento"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"depto_Nacimiento" );
$tdatakardex[".searchFields"]["socio_depto_Nacimiento"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"direccion" );
$tdatakardex[".searchFields"]["socio_direccion"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"profesion" );
$tdatakardex[".searchFields"]["socio_profesion"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"telefono" );
$tdatakardex[".searchFields"]["socio_telefono"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"celular" );
$tdatakardex[".searchFields"]["socio_celular"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"foto_actual" );
$tdatakardex[".searchFields"]["socio_foto_actual"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"foto_Ci" );
$tdatakardex[".searchFields"]["socio_foto_Ci"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"estado" );
$tdatakardex[".searchFields"]["socio_estado"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"tipo_Doc" );
$tdatakardex[".searchFields"]["socio_tipo_Doc"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"pais_Nacimiento" );
$tdatakardex[".searchFields"]["socio_pais_Nacimiento"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"sexo" );
$tdatakardex[".searchFields"]["socio_sexo"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"estado_Civil" );
$tdatakardex[".searchFields"]["socio_estado_Civil"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"apellido_Casada" );
$tdatakardex[".searchFields"]["socio_apellido_Casada"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"tipo_accionista" );
$tdatakardex[".searchFields"]["socio_tipo_accionista"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"id_dp" );
$tdatakardex[".searchFields"]["socio_id_dp"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"id_gestion" );
$tdatakardex[".searchFields"]["socio_id_gestion"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"id_constitucion" );
$tdatakardex[".searchFields"]["socio_id_constitucion"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"socio", "field"=>"accionista" );
$tdatakardex[".searchFields"]["socio_accionista"] = $dashField;

// all search fields
$tdatakardex[".allSearchFields"] = array();
$tdatakardex[".allSearchFields"][] = "socio_id_Socio";
$tdatakardex[".allSearchFields"][] = "socio_ci";
$tdatakardex[".allSearchFields"][] = "socio_ci_complemento";
$tdatakardex[".allSearchFields"][] = "socio_ci_procedencia";
$tdatakardex[".allSearchFields"][] = "socio_nombres";
$tdatakardex[".allSearchFields"][] = "socio_apellido_Paterno";
$tdatakardex[".allSearchFields"][] = "socio_apellido_Materno";
$tdatakardex[".allSearchFields"][] = "socio_fecha_Nacimiento";
$tdatakardex[".allSearchFields"][] = "socio_lugar_Nacimiento";
$tdatakardex[".allSearchFields"][] = "socio_depto_Nacimiento";
$tdatakardex[".allSearchFields"][] = "socio_direccion";
$tdatakardex[".allSearchFields"][] = "socio_profesion";
$tdatakardex[".allSearchFields"][] = "socio_telefono";
$tdatakardex[".allSearchFields"][] = "socio_celular";
$tdatakardex[".allSearchFields"][] = "socio_foto_actual";
$tdatakardex[".allSearchFields"][] = "socio_foto_Ci";
$tdatakardex[".allSearchFields"][] = "socio_estado";
$tdatakardex[".allSearchFields"][] = "socio_tipo_Doc";
$tdatakardex[".allSearchFields"][] = "socio_pais_Nacimiento";
$tdatakardex[".allSearchFields"][] = "socio_sexo";
$tdatakardex[".allSearchFields"][] = "socio_estado_Civil";
$tdatakardex[".allSearchFields"][] = "socio_apellido_Casada";
$tdatakardex[".allSearchFields"][] = "socio_tipo_accionista";
$tdatakardex[".allSearchFields"][] = "socio_id_dp";
$tdatakardex[".allSearchFields"][] = "socio_id_gestion";
$tdatakardex[".allSearchFields"][] = "socio_id_constitucion";
$tdatakardex[".allSearchFields"][] = "socio_accionista";

// good like search fields
$tdatakardex[".googleLikeFields"] = array();
*/

/*
$tdatakardex[".dashElements"] = array();

	$dbelement = array( "elementName" => "socio_record", "table" => "socio",
		 "pageName" => "","type" => 3);
	$dbelement["cellName"] = "";

		$dbelement["reload"] = 60;
		$dbelement["width"] = 800;
		$dbelement["height"] = 600;
	$dbelement["tabsPageTypes"] = array();
	$dbelement["pageNames"] = array();
					$dbelement["initialTabPageType"] = PAGE_VIEW;


	$tdatakardex[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "socio_search", "table" => "socio",
		 "pageName" => "","type" => 4);
	$dbelement["cellName"] = "";

		$dbelement["reload"] = 60;
		$dbelement["width"] = 800;
		$dbelement["height"] = 600;


	$tdatakardex[".dashElements"][] = $dbelement;
*/
$tdatakardex[".shortTableName"] = "kardex";
$tdatakardex[".entityType"] = 4;




$tdatakardex[".hasEvents"] = false;


$tdatakardex[".tableType"] = "dashboard";


																							
$tdatakardex[".addPageEvents"] = false;

$tdatakardex[".isUseAjaxSuggest"] = true;

$tables_data["kardex"]=&$tdatakardex;
$field_labels["kardex"] = &$fieldLabelskardex;
$page_titles["kardex"] = &$pageTitleskardex;

?>